map File Reference

Go to the source code of this file.

## Namespaces

namespace | std

## Macros

#define | __glibcxx_want_allocator_traits_is_always_equal
#define | __glibcxx_want_erase_if
#define | __glibcxx_want_generic_associative_lookup
#define | __glibcxx_want_map_try_emplace
#define | __glibcxx_want_node_extract
#define | __glibcxx_want_nonmember_container_access
#define | __glibcxx_want_tuple_like
#define | _GLIBCXX_MAP

## Typedefs

template<typename _Key, typename _Tp, typename _Cmp = std::less<_Key>>
using | std::pmr::map
template<typename _Key, typename _Tp, typename _Cmp = std::less<_Key>>
using | std::pmr::multimap

## Functions

template<typename _Key, typename _Tp, typename _Compare, typename _Alloc, typename _Predicate>
map< _Key, _Tp, _Compare, _Alloc >::size_type | std::erase_if (map< _Key, _Tp, _Compare, _Alloc > &__cont, _Predicate __pred)
template<typename _Key, typename _Tp, typename _Compare, typename _Alloc, typename _Predicate>
multimap< _Key, _Tp, _Compare, _Alloc >::size_type | std::erase_if (multimap< _Key, _Tp, _Compare, _Alloc > &__cont, _Predicate __pred)

## Detailed Description

This is a Standard C++ Library header.

Definition in file map.

## Macro Definition Documentation

## __glibcxx_want_allocator_traits_is_always_equal

#define __glibcxx_want_allocator_traits_is_always_equal

Definition at line 72 of file map.

## __glibcxx_want_erase_if

#define __glibcxx_want_erase_if

Definition at line 73 of file map.

## __glibcxx_want_generic_associative_lookup

#define __glibcxx_want_generic_associative_lookup

Definition at line 74 of file map.

## __glibcxx_want_map_try_emplace

#define __glibcxx_want_map_try_emplace

Definition at line 75 of file map.

## __glibcxx_want_node_extract

#define __glibcxx_want_node_extract

Definition at line 76 of file map.

## __glibcxx_want_nonmember_container_access

#define __glibcxx_want_nonmember_container_access

Definition at line 77 of file map.

## __glibcxx_want_tuple_like

#define __glibcxx_want_tuple_like

Definition at line 78 of file map.

## _GLIBCXX_MAP

#define _GLIBCXX_MAP

Definition at line 56 of file map.

## Typedef Documentation

## map

template<typename _Key, typename _Tp, typename _Cmp = std::less<_Key>>

using std::pmr::map

Definition at line 89 of file map.

## multimap

template<typename _Key, typename _Tp, typename _Cmp = std::less<_Key>>

using std::pmr::multimap

Definition at line 92 of file map.